Skip to main content
GET
/
v2
/
client
/
fundraisers
/
search
Find Campaign
curl --request GET \
  --url https://api.crowdchange.dev/v2/client/fundraisers/search \
  --header 'Authorization: <api-key>'
[
  {
    "id": 1,
    "name": "Campaign",
    "amount_goal": 1000,
    "amount_goal_formatted": "$1,000",
    "amount_raised": 550,
    "amount_raised_formatted": "$550",
    "n_donors": 10,
    "n_teams": 5,
    "n_pages": 15,
    "url": "https://demo.crowdchange.dev/2",
    "language": "en",
    "is_hidden": false,
    "closed_at": "2022-03-01 00:00:00",
    "user": {
      "name": "John Snow",
      "first_name": "John",
      "last_name": "Snow",
      "title": "Mr."
    },
    "organization": {
      "id": 1,
      "name": "Crowdchange",
      "custom_id": "CrowdchangeID"
    },
    "images": {
      "original": "https://img.crowdchange.dev/files/abc.png"
    }
  }
]

Query parameters

text
string
Search term.
fundraisers
string
Comma separated list of fundraiser ids.
templates
string
Comma separated list of fundraiser template (blueprint) ids.
page
integer
Page number. Default: 1
limit
integer
Number of results to return. Default: 10
sort
string
Key to sort by. Allowed values: name, amount_raised, amount_goal
direction
string
Direction of sorting. Allowed values: asc, desc
lang
string
API’s locale. Allowed values: en, fr
include_closed
integer
Include closed campaigns. Default: 0
include_hidden
integer
Include hidden campaigns. Default: 0
include_subsites
integer
Include data from subsites. Default: 0
amount_raised
object
Campaign’s amount raised filter.

Response

Returns an array of objects with the following fields.
id
integer
Campaign ID.
name
string
Campaign name.
amount_goal
number
Goal amount.
amount_goal_formatted
string
Formatted goal amount of the campaign, includes currency symbol.
amount_raised
number
Amount raised by the campaign.
amount_raised_formatted
string
Formatted amount raised by the campaign, includes currency symbol.
n_donors
number
Number of donors
n_teams
number
Number of teams in the campaign.
n_pages
number
Number of personal pages in the campaign.
url
string
URL to campaign.
language
string
Campaign language. Allowed values: en, fr
is_hidden
boolean
True if campaign is hidden, otherwise false.
closed_at
string
Campaign closed at
user
object
organization
object
images
object
Other responses
StatusDescription
400Bad Request
403Forbidden
[
  {
    "id": 1,
    "name": "Campaign",
    "amount_goal": 1000,
    "amount_goal_formatted": "$1,000",
    "amount_raised": 550,
    "amount_raised_formatted": "$550",
    "n_donors": 10,
    "n_teams": 5,
    "n_pages": 15,
    "url": "https://demo.crowdchange.dev/2",
    "language": "en",
    "is_hidden": false,
    "closed_at": "2022-03-01 00:00:00",
    "user": {
      "name": "John Snow",
      "first_name": "John",
      "last_name": "Snow",
      "title": "Mr."
    },
    "organization": {
      "id": 1,
      "name": "Crowdchange",
      "custom_id": "CrowdchangeID"
    },
    "images": {
      "original": "https://img.crowdchange.dev/files/abc.png"
    }
  }
]